ASP.NET installation question

3 posts, 0 answers
  1. Nim
    Nim avatar
    43 posts
    Member since:
    Sep 2010

    Posted 05 Jan 2011 Link to this post

    Hello,

    The documentation mentions:

    "...you will need to have ASP.NET AJAX installed on your development/production machine..."
    "... targeting ASP.NET 2.0, you will need to have ASP.NET AJAX 1.0 installed on your development/production machine..."

    Here is my question.

    Our production server is running in Windows Server 2008RC2, which has .NET Framework 3.5.1 installed.

    According to the Microsoft Download Center "Microsoft .NET Framework 3.5" website,
    the dot net framework should contain the ASP.NET Ajax already. 

    Does it mean, if we want to run a website that uses RadControls, we won't need to install anything extra to our production server because it already has .NET Framework 3.5.1?

    Many thanks!
  2. Andrey
    Admin
    Andrey avatar
    244 posts

    Posted 06 Jan 2011 Link to this post

    Hi Nim,

    The RadControls for ASP.NET AJAX distribution contains RadControls assemblies targeting .NET 2.0, .NET 3.5 and .NET 4.0. They can be found in the corresponding folders - Bin20, Bin35, Bin40.

    If you plan on using our assemblies targeting .NET 3.5 or .NET 4.0, installing ASP.NET AJAX 1.0 on your production or development environment is not necessary.

    If you plan on using our assemblies targeting .NET 2.0, however, an install of ASP.NET AJAX 1.0 would be required.

    Please, do not hesitate to contact us if you have any further questions.

    All the best,
    Andrey
    the Telerik team
    Browse the vast support resources we have to jump start your development with RadControls for ASP.NET AJAX. See how to integrate our AJAX controls seamlessly in SharePoint 2007/2010 visiting our common SharePoint portal.
  3. UI for ASP.NET Ajax is Ready for VS 2017
  4. Nim
    Nim avatar
    43 posts
    Member since:
    Sep 2010

    Posted 24 Jan 2011 Link to this post

    Thank you.
Back to Top